## mozilla-devscripts 0.25

=== Makefile ===
PREFIX ?= /usr
DOCDIR ?= $(PREFIX)/share/doc/mozilla-devscripts
MANDIR ?= $(PREFIX)/share/man

MANPAGES := $(wildcard man/*.1)

build:
	$(MAKE) -C src $@

test:
	tests/test-moz-version

install:
	install -d $(DESTDIR)$(DOCDIR) $(DESTDIR)$(MANDIR)/man1
	install $(MANPAGES) $(DESTDIR)$(MANDIR)/man1/
	install -m 644 README $(DESTDIR)$(DOCDIR)/README
	$(MAKE) -C src $@

clean:
	$(MAKE) -C src $@

.PHONY: build clean install test

=== src/Makefile ===
# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
# Description: Build system for mozilla-devscripts
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
DATADIR = $(PREFIX)/share/mozilla-devscripts

VENDOR := $(shell if dpkg-vendor --is Ubuntu || dpkg-vendor --derives-from Ubuntu; then echo "Ubuntu"; else echo "Debian"; fi)

subst_files = \
	firefox-3.0.mk \
	firefox-3.0-full.mk \
	firefox-3.1.mk \
	firefox-4.0.mk \
	fennec.mk \
	lightning-sunbird.mk \
	nspr.mk \
	nss.mk \
	seamonkey-2.0.mk \
	thunderbird-3.0.mk \
	xulrunner-1.8.mk \
	xulrunner-1.9.mk \
	xulrunner-1.9.1.mk \
	xulrunner-2.0.mk \
	prism.mk \
	flock.mk \
	mozclient.mk \
	compare.mk \
	minefield-packager.mk \
	xulapp.mk \
	$(NULL)

extra_files = \
	lp-locale-export.mk \
	xpi.mk \
	$(NULL)

bindir_files = \
	dh_xul-ext \
	install-xpi \
	xpi-pack \
	xpi-repack \
	xpi-unpack \
	moz-version

extra_dirs = \
	mozclient \
	mozclient/patches \
	mozclient/lib \
	mozclient/lib/MozClient \
	minefield-packager/debian \
	$(NULL)

build: $(subst_files)

%.mk: %.mk.in
	cat $< | sed \
	-e "s|^\(include\) \(.*\)\.in|\1 $(DATADIR)/\2|" \
	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
	> $@
	chmod 644 $@

install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
	install -m 755 -d $(DESTDIR)$(BINDIR) 
	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
	for dir in $(extra_dirs) ; do \
		install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
	done
	install -m 644 -D moz_version.py $(DESTDIR)$(DATADIR)/moz_version.py
	for dir in $(shell pyversions -s); do \
		mkdir -p $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
		ln -s ../../../share/mozilla-devscripts/moz_version.py $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
	done
	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
	install -m 644 xul-app-data.csv.$(VENDOR) $(DESTDIR)$(DATADIR)/xul-app-data.csv
	install -D -m 644 xul-ext.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/xul_ext.pm
	install -D -m 644 xul-ext_build.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/xul_ext.pm

clean:
	rm -f *.pyc $(subst_files)

.PHONY: clean install

=== debian/changelog ===
mozilla-devscripts (0.25) unstable; urgency=low

  * Fix additional quotation marks in extension ID (LP: #674171).
    - update src/dh_xul-ext
    - update src/install-xpi
  * Update package list for Debian experimental and Ubuntu natty.
    - update src/xul-app-data.csv.Debian
    - update src/xul-app-data.csv.Ubuntu
  * Drop backwards compatibility for Icedove/Thunderbird << 3.0.
    - update src/install-xpi
  * Switch from CDBS to dh 7 and simplifying packaging by improving Makefiles.
    - add Makefile
    - update debian/compat
    - update debian/control
    - remove debian/manpages
    - update debian/rules
    - update src/Makefile
  * Use versioned target applications in Depends instead of unversioned target
    applications in Recommends. All extensions have to add ${xpi:Depends} to
    Depends. (Closes: #602051)
    - update src/dh_xul-ext
    - update src/xpi.mk

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Nov 2010 01:02:35 +0100

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@ubuntu.com>,
           Alexander Sack <asac@debian.org>,
           Alexander Sack <asac@ubuntu.com>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7), python
Build-Depends-Indep: python-support
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: https://launchpad.net/mozilla-devscripts
Vcs-Bzr: lp:mozilla-devscripts
Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts

Package: mozilla-devscripts
Architecture: all
Depends: dpkg-dev,
         fakeroot,
         python-librdf,
         quilt,
         unzip,
         wget,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Suggests: cvs, git, mercurial
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu and Debian.

## mozilla-devscripts 0.28

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	$(MAKE) -C src $@
 
 test:
+	tests/dh_xul-ext/test
 	tests/test-moz-version
 
 install:

=== src/Makefile ===
--- 
+++ 
@@ -51,14 +51,6 @@
 	xpi.mk \
 	$(NULL)
 
-bindir_files = \
-	dh_xul-ext \
-	install-xpi \
-	xpi-pack \
-	xpi-repack \
-	xpi-unpack \
-	moz-version
-
 extra_dirs = \
 	mozclient \
 	mozclient/patches \
@@ -79,21 +71,16 @@
 	chmod 644 $@
 
 install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
+	python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
 	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
 	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
-	install -m 755 -d $(DESTDIR)$(BINDIR) 
-	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
 	for dir in $(extra_dirs) ; do \
 		install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
 	done
-	install -m 644 -D moz_version.py $(DESTDIR)$(DATADIR)/moz_version.py
-	for dir in $(shell pyversions -s); do \
-		mkdir -p $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
-		ln -s ../../../share/mozilla-devscripts/moz_version.py $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
-	done
 	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
 	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
-	install -m 644 xul-app-data.csv.$(VENDOR) $(DESTDIR)$(DATADIR)/xul-app-data.csv
+	install -m 644 xul-app-data.csv.Debian $(DESTDIR)$(DATADIR)/xul-app-data.csv.Debian
+	install -m 644 xul-app-data.csv.Ubuntu $(DESTDIR)$(DATADIR)/xul-app-data.csv.Ubuntu
 	install -D -m 644 xul-ext.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/xul_ext.pm
 	install -D -m 644 xul-ext_build.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/xul_ext.pm

=== debian/changelog ===
mozilla-devscripts (0.28) unstable; urgency=low

  * dh_xul-ext: Sort list of CSV files to fix test case failures
    (LP: #829493).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 20 Aug 2011 01:13:50 +0200

mozilla-devscripts (0.27) unstable; urgency=low

  * Update package lists for Debian unstable and Ubuntu oneiric.
  * Add a MOZ_XPI_CLEAN_COMMAND to xpi.mk; thanks to Ximin Luo for the patch
    (Closes: #632895).
  * Add an --all parameter and a DH_XUL_EXT_VENDOR environment variable to
    dh_xul-ext to make packages that work with every browser they can actually
    work with (Closes: #610499).
  * Update and fix my email addresses.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Jul 2011 18:53:09 +0200

mozilla-devscripts (0.26) unstable; urgency=low

  [ Chris Coulson ]
  * Remove additional binary files from Mozilla tarballs
    - update src/mozclient/remove.binonly.sh
  * Add services to the list of directories to clean when using
    build-system.tar.gz
    - update src/xulapp.mk.in

  [ Benjamin Drung ]
  * Update my email address.
  * Switch from python-support to dh_python2.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop DM-Upload-Allowed field.
  * Add setup.py to install moz_version.py.
  * Update package description.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Jun 2011 23:48:39 +0200

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@ubuntu.com>,
           Alexander Sack <asac@debian.org>,
           Alexander Sack <asac@ubuntu.com>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dpkg-dev (>= 1.15.1),
               python-all (>= 2.6.6-3~),
               python-librdf
Standards-Version: 3.9.2
Homepage: https://launchpad.net/mozilla-devscripts
X-Python-Version: >= 2.6
Vcs-Bzr: lp:mozilla-devscripts
Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts

Package: mozilla-devscripts
Architecture: all
Depends: dpkg-dev (>= 1.15.1),
         fakeroot,
         python-librdf,
         quilt,
         unzip,
         wget,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Suggests: cvs, git, mercurial
Description: Collection of development scripts used by Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Debian and Ubuntu.

=== tests/dh_xul-ext/all/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	../../../src/dh_xul-ext -a

=== tests/dh_xul-ext/all_environment/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DH_XUL_EXT_VENDOR=all ../../../src/dh_xul-ext

=== tests/dh_xul-ext/debian/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DEB_VENDOR=Debian ../../../src/dh_xul-ext

=== tests/dh_xul-ext/ubuntu/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DH_XUL_EXT_VENDOR=Ubuntu ../../../src/dh_xul-ext

=== tests/dh_xul-ext/all/debian/control ===
Source: test-package
Section: web
Priority: extra
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2

Package: xul-ext-test-package
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: mozilla-devscripts test package
 This is a test package designed to test some scripts in mozilla-devscripts.
 It is part of the mozilla-devscripts test suite and may do very odd things. It
 should not be installed like a regular package. It may be an empty package.

## mozilla-devscripts 0.29

=== debian/changelog ===
mozilla-devscripts (0.29) unstable; urgency=low

  [ Benjamin Drung ]
  * Move mozilla-devscripts under the hood of the Debian Mozilla
    Extension Maintainers.
  * Remove Fabien Tassin and Alexander Sack from Uploaders. Thanks
    for your work.
  * Removed all stuff that is unrelated to packaging XUL extensions.
  * Switch from dpkg-source 1.0 to 3.0 (native).
  * Updated VCS location.
  * Relicense my stuff under the ISC license.
  * Add ${xpi:Breaks} for versioned package dependency for maximum
    XUL application version (LP: #839130).

  [ Andrea Veri ]
  * debian/control:
    - long and short desc refreshed a bit with new content.
    - added myself into uploaders, I'll help Benjamin maintaining this package.
  * debian/copyright:
    - refreshed and made it compliant to DEP-5.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 12 Oct 2011 00:10:04 +0200

=== tests/dh_xul-ext/all/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	../../../dh_xul-ext -a

## mozilla-devscripts 0.30

=== debian/changelog ===
mozilla-devscripts (0.30) unstable; urgency=low

  * dh_xul-ext: Remove "-a" as the short form of the --all parameter,
    because "-a" is a common parameter for debhelper. (Closes: #655609)
  * Use unnamed variables in SPARQL queries if they are unused.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 12 Jan 2012 22:29:56 +0100

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dpkg-dev (>= 1.15.1),
               python-all (>= 2.6.6-3~),
               python-librdf
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
VCS-Browser: http://git.debian.org/?p=pkg-mozext/mozilla-devscripts.git;a=summary
VCS-Git: git://git.debian.org/pkg-mozext/mozilla-devscripts.git

Package: mozilla-devscripts
Architecture: all
Depends: dpkg-dev (>= 1.15.1),
         fakeroot,
         python-librdf,
         quilt,
         unzip,
         wget,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Suggests: cvs, git, mercurial
Description: Development scripts used by Mozilla's addons packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance meant for packaging Iceweasel's and
 Icedove's extensions. These tools will help maintainers to build
 link and install all XUL extensions properly following the policies
 outlined by the Debian Mozilla Extension Maintainers team.

=== tests/dh_xul-ext/debian/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DEB_VENDOR=Debian ../../../dh_xul-ext

## mozilla-devscripts 0.32

=== debian/changelog ===
mozilla-devscripts (0.32) unstable; urgency=low

  * dh_xul-ext: Do not generate a Breaks entry for Firefox/Iceweasel 10 or
    later, because these version default add-ons to compatible.
  * Drop unused dpkg-dev, fakeroot, quilt, and wget from Depends.
  * Drop unneeded cvs, git, and mercurial from Suggests.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 23 May 2012 23:50:23 +0200

mozilla-devscripts (0.31) unstable; urgency=low

  * dh_xul-ext: correct Breaks max-version (>> not >=). Thanks to Tanguy Ortolo
    for the patch. (Closes: #668892)
  * Adjust test cases.
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Update machine-readable copyright Format to 1.0.
  * install-xpi:
    - Fix crash when invoking --help outside a package directory. (LP: #900689)
    - Fail nicely if debian/control is missing.
  * xpi-repack: Fail nicely if debian/control is missing. (LP: #900687)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 22 Apr 2012 00:56:46 +0200

## mozilla-devscripts 0.32+deb7u1

=== debian/changelog ===
mozilla-devscripts (0.32+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team
  * dh_xul-ext: Do not generate a Breaks entry for Thunderbird/Icedove 10 or later.
    Thunderbird/Icedove 10 defaults add-ons to compatible.
  * Add an epoch for icedove/tb >= 45 (Closes: #825508)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jun 2016 17:58:57 +0200

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-librdf
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
VCS-Browser: http://git.debian.org/?p=pkg-mozext/mozilla-devscripts.git;a=summary
VCS-Git: git://git.debian.org/pkg-mozext/mozilla-devscripts.git

Package: mozilla-devscripts
Architecture: all
Depends: python-librdf,
         unzip,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Description: Development scripts used by Mozilla's addons packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance meant for packaging Iceweasel's and
 Icedove's extensions. These tools will help maintainers to build
 link and install all XUL extensions properly following the policies
 outlined by the Debian Mozilla Extension Maintainers team.

## mozilla-devscripts 0.33

=== debian/changelog ===
mozilla-devscripts (0.33) unstable; urgency=low

  * dh_xul-ext:
    - Do not generate a Breaks entry for Thunderbird/Icedove 10 or later,
      because these versions default add-ons to compatible.
    - Fail if minVersion is greater than maxVersion. (Closes: #650348)
  * install-xpi: Search in the parent directories for a debian/ directory to
    work with debhelper's --sourcedirectory parameter. (Closes: #698033)
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Jan 2013 02:23:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-librdf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
-VCS-Browser: http://git.debian.org/?p=pkg-mozext/mozilla-devscripts.git;a=summary
-VCS-Git: git://git.debian.org/pkg-mozext/mozilla-devscripts.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/mozilla-devscripts.git
+VCS-Git: git://anonscm.debian.org/pkg-mozext/mozilla-devscripts.git
 
 Package: mozilla-devscripts
 Architecture: all

## mozilla-devscripts 0.34

=== debian/changelog ===
mozilla-devscripts (0.34) unstable; urgency=low

  * Add Iceowl to xpi:Depends auto-detection. Thanks to Matthias Schmitz for
    the patch. (Closes: #705396)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 15 Apr 2013 12:51:43 +0200

## mozilla-devscripts 0.36

=== debian/changelog ===
mozilla-devscripts (0.36) unstable; urgency=medium

  * xpi-repack:
    - Use argparse instead of getopts.
    - Use the tempfile module to create a secure temporary directory.
      Thanks to Jakub Wilk <jwilk@debian.org> (Closes: #740759)
    - Print meaningful error message when --upstream-version is missing.
      (Closes: #740762)
    - Add --format option and document default compression format.
      (Closes: #639917)
  * xpi-unpack: Fix unpacke -> unpacked typo (Closes: #740752)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 11 Mar 2014 00:28:21 +0100

mozilla-devscripts (0.35) unstable; urgency=low

  * dh_xul-ext: Use "dpkg-vendor --derives-from Ubuntu" instead of
    "dpkg-vendor --query vendor" so Ubuntu derivatives get treated like
    Ubuntu and non-Ubuntu based Debian derivatives get treated like Debian.
    Thanks to Peter Michael Green for the patch (Closes: #732254)
  * Bump Standards-Version to 3.9.5 (no changes required).
  * Use debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Dec 2013 22:36:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-librdf
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/mozilla-devscripts.git
 VCS-Git: git://anonscm.debian.org/pkg-mozext/mozilla-devscripts.git

## mozilla-devscripts 0.39

=== debian/changelog ===
mozilla-devscripts (0.39) unstable; urgency=medium

  [ Ximin Luo ]
  * amo-changelog: output UTF-8 by default instead of ASCII, which errors when
    the input contains non-ASCII chars

 -- Benjamin Drung <bdrung@debian.org>  Sat, 17 May 2014 19:28:49 +0200

mozilla-devscripts (0.38) unstable; urgency=medium

  * install-xpi: Catch RDF.RedlandError exception and print error message.
    (Closes: #746699)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 10 May 2014 00:32:50 +0200

mozilla-devscripts (0.37) unstable; urgency=medium

  [ Ximin Luo ]
  * Add amo-changelog, a script for fetches the version history of an addon
    from the Mozilla Extensions website. (Closes: #734476)

  [ Benjamin Drung ]
  * PEP8 fixes and pylint improvements.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 09 May 2014 23:41:21 +0200

=== tests/dh_xul-ext/ubuntu/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DH_XUL_EXT_VENDOR=Ubuntu ../../../dh_xul-ext

## mozilla-devscripts 0.39+deb8u1

=== debian/changelog ===
mozilla-devscripts (0.39+deb8u1) jessie; urgency=medium

  * Update dh_xul-ext's substvar generation for the upcoming transitions
    in stable from iceweasel to firefox-esr, and from icedove to
    thunderbird. (Closes: ##818013, #818756)
  * Update test suite expected values accordingly.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Mar 2016 21:03:36 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
+Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
@@ -19,7 +19,7 @@
          ${python:Depends}
 Description: Development scripts used by Mozilla's addons packages
  This package contains mozilla-devscripts, a collection of scripts
- based on Makefile inheritance meant for packaging Iceweasel's and
- Icedove's extensions. These tools will help maintainers to build
+ based on Makefile inheritance meant for packaging Firefox's and
+ Thunderbird's extensions. These tools will help maintainers to build
  link and install all XUL extensions properly following the policies
  outlined by the Debian Mozilla Extension Maintainers team.

## mozilla-devscripts 0.42

=== debian/changelog ===
mozilla-devscripts (0.42) unstable; urgency=low

  * Team upload.
  * Fix typo in timezone setting. Thanks Reiner Herrmann. (Closes: #788376)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 11 Jun 2015 07:52:23 +0200

mozilla-devscripts (0.41) unstable; urgency=low

  * Team upload.
  * Use UTC as timezone when calling zip or unzip in xpi-pack, xpi-unpack,
    and install-xpi to make the build reproducible accross different
    timezones.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 01 Jun 2015 18:11:50 +0200

mozilla-devscripts (0.40) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Team upload.
  * xpi-pack: do not save extra attributes when making jar to allow
    reproducible builds.
  * Bump Standards-Version, no changes required.

  [ Ximin Luo ]
  * amo-changelog: parse into human-readable form and save to
    debian/upstream/changelog{,.html}.
  * amo-changelog: fetch all pages of Version History.
  * install-xpi: dh_link needs to be run from package home directory, e.g. when
    giving -D to dh.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 20 May 2015 08:50:14 +0200

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
VCS-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/mozilla-devscripts.git
VCS-Git: git://anonscm.debian.org/pkg-mozext/mozilla-devscripts.git

Package: mozilla-devscripts
Architecture: all
Depends: python-librdf,
         unzip,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Description: Development scripts used by Mozilla's addons packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance meant for packaging Iceweasel's and
 Icedove's extensions. These tools will help maintainers to build
 link and install all XUL extensions properly following the policies
 outlined by the Debian Mozilla Extension Maintainers team.

## mozilla-devscripts 0.44

=== debian/changelog ===
mozilla-devscripts (0.44) unstable; urgency=medium

  * Drop support for Iceape which is no longer available in Debian.
    Prevents generating Depends: that can never be satisfied in packages
    built with dh_xul-ext (closes: #811332).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 21 Jan 2016 17:16:05 -0700

mozilla-devscripts (0.43) unstable; urgency=medium

  * install-xpi: sort file list in preferences files to make package builds
    reproducible. Thanks to Reiner Herrmann (Closes: #808713)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 12 Jan 2016 23:07:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
+Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6

=== tests/dh_xul-ext/all_environment/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	DH_XUL_EXT_VENDOR=all ../../../dh_xul-ext

=== tests/dh_xul-ext/default-to-compatible/debian/control ===
Source: test-package
Section: web
Priority: extra
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2

Package: xul-ext-test-package
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: mozilla-devscripts test package
 This is a test package designed to test some scripts in mozilla-devscripts.
 It is part of the mozilla-devscripts test suite and may do very odd things. It
 should not be installed like a regular package. It may be an empty package.

## mozilla-devscripts 0.45.1

=== debian/changelog ===
mozilla-devscripts (0.45.1) unstable; urgency=high

  * Restore generation of iceweasel entries for Depends:, Enhances:
    etc. to ease the Iceweasel -> Firefox transition. (Closes: #818756)
    Update test suite accordingly.
  * Also restore generation of iceweasel-* binary packages.
  * Preemptively add generation of thunderbird entries for Depends:,
    Enhances: etc. for the upcoming Icedove -> Thunderbird transition.
    Update test suite accordingly.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Mar 2016 09:08:19 -0700

mozilla-devscripts (0.45) unstable; urgency=high

  * Update dh_xul-ext, debian/control and the test suite for the Iceweasel
    -> Firefox transition. (Closes: #818013)
  * Bump standards version to 3.9.7 (no changes required).
  * Update VCS-Git: and VCS-Browser: to canonical https URLs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Mar 2016 11:35:24 -0700

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
Standards-Version: 3.9.7
X-Python-Version: >= 2.6
VCS-Browser: https://anonscm.debian.org/cgit/pkg-mozext/mozilla-devscripts.git/
VCS-Git: https://anonscm.debian.org/git/pkg-mozext/mozilla-devscripts.git

Package: mozilla-devscripts
Architecture: all
Depends: python-librdf,
         unzip,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Description: Development scripts used by Mozilla's addons packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance meant for packaging Firefox's and
 Icedove's extensions. These tools will help maintainers to build
 link and install all XUL extensions properly following the policies
 outlined by the Debian Mozilla Extension Maintainers team.

## mozilla-devscripts 0.46

=== debian/changelog ===
mozilla-devscripts (0.46) unstable; urgency=medium

  * Fix generating versions in light of Icedove's new 1: epoch in Debian.
    Thanks to Guido Günther for the patch (Closes: #825508).
  * Extend Guido's fix to handle Ubuntu's existing 1: epoch for Thunderbird.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 07 Jul 2016 11:28:26 +0900

## mozilla-devscripts 0.47

=== debian/changelog ===
mozilla-devscripts (0.47) unstable; urgency=low

  * When using the xul_ext dh buildsystem, params passed to
    dh_auto_install after '--' are now passed on to install-xpi.
    As dh_auto_install(1) claims.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Jul 2016 15:52:58 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 VCS-Browser: https://anonscm.debian.org/cgit/pkg-mozext/mozilla-devscripts.git/
 VCS-Git: https://anonscm.debian.org/git/pkg-mozext/mozilla-devscripts.git

## mozilla-devscripts 0.48

=== debian/changelog ===
mozilla-devscripts (0.48) unstable; urgency=medium

  * Team upload.
  * Add a dh_webext(1) addon to support WebExtensions.
    (Eventually will close #866997, currently WIP.)

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 May 2018 23:24:28 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-VCS-Browser: https://anonscm.debian.org/cgit/pkg-mozext/mozilla-devscripts.git/
-VCS-Git: https://anonscm.debian.org/git/pkg-mozext/mozilla-devscripts.git
+VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts
+VCS-Git: https://salsa.debian.org/webext-team/webext-devscripts.git
 
 Package: mozilla-devscripts
 Architecture: all

## mozilla-devscripts 0.49

=== debian/changelog ===
mozilla-devscripts (0.49) unstable; urgency=medium

  * Team upload.
  * More improvements to dh_webext, includes a fix for current Firefox.

  [ Sean Whitton ]
  * Remove myself from the Uploaders field.

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Jul 2018 03:34:57 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Benjamin Drung <bdrung@debian.org>, Andrea Veri <and@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-librdf
+    ,dh-python
+    ,python3
 Standards-Version: 3.9.8
+X-Python3-Version: >= 3.4
 VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts
 VCS-Git: https://salsa.debian.org/webext-team/webext-devscripts.git
 
@@ -15,7 +18,8 @@
          zip,
          ${misc:Depends},
          ${perl:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         ${python3:Depends}
 Description: Development scripts used by Mozilla's addons packages
  This package contains mozilla-devscripts, a collection of scripts
  based on Makefile inheritance meant for packaging Firefox's and

## mozilla-devscripts 0.53

=== debian/changelog ===
mozilla-devscripts (0.53) unstable; urgency=medium

  * Team upload.
  * Open files with utf-8 encoding by default. (Closes: #909527)

 -- Ximin Luo <infinity0@debian.org>  Thu, 04 Oct 2018 20:58:54 -0700

mozilla-devscripts (0.52) unstable; urgency=medium

  * Team upload.
  * Ignore unknown CLI args so build-indep works properly.

 -- Ximin Luo <infinity0@debian.org>  Tue, 25 Sep 2018 00:34:46 -0700

mozilla-devscripts (0.51) unstable; urgency=medium

  * Relax generated Depends to Recommends to avoid forcing upgrades of
    old browsers just because new extensions don't work on them.
  * Generate versioned Provides.

 -- Ximin Luo <infinity0@debian.org>  Sun, 23 Sep 2018 14:31:35 -0700

mozilla-devscripts (0.50) unstable; urgency=medium

  * Team upload.
  * dh_webext: Try to autodetect more things to avoid users having to define
    override_dh_webext themselves.
  * Prevent setuptools fucking up the shebang line of dh_webext which meant
    that the previous release was actually broken.
  * Use similar logic as dh_xul-ext to generate Depends, Enhances, and Breaks.

 -- Ximin Luo <infinity0@debian.org>  Sat, 22 Sep 2018 22:39:25 -0700

## mozilla-devscripts 0.53+nmu1

=== debian/changelog ===
mozilla-devscripts (0.53+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:08:22 +0800

## mozilla-devscripts 0.53-0ubuntu0.18.04.1

=== Makefile ===
build: ;

test:
	tests/dh_xul-ext/test
	tests/test-moz-version

install:
	python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

clean:
	rm -rf build *.pyc

.PHONY: build clean install test

=== debian/changelog ===
mozilla-devscripts (0.53-0ubuntu0.18.04.1) bionic; urgency=medium

  * Backport 0.53 to bionic
  * Fix dh_webext when there is a debian/install-webext file (Closes: #941112)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 15:20:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
     ,dh-python
     ,python3
 Standards-Version: 3.9.8
-X-Python3-Version: >= 3.4
 VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts
 VCS-Git: https://salsa.debian.org/webext-team/webext-devscripts.git

=== tests/dh_xul-ext/all/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install install.rdf /usr/share/xul-ext/test-package/
	../../../dh_xul-ext --all

## mozilla-devscripts 0.53-0ubuntu1

=== debian/changelog ===
mozilla-devscripts (0.53-0ubuntu1) eoan; urgency=medium

  * Fix dh_webext when there is a debian/install-webext file (Closes: #941112)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 25 Sep 2019 10:39:51 +0200

## mozilla-devscripts 0.54

=== debian/changelog ===
mozilla-devscripts (0.54) unstable; urgency=medium

  [ Olivier Tilloy ]
  * Fix dh_webext when there is a debian/install-webext file (Closes: #941112)

  [ Benjamin Drung ]
  * Make pylint happier
  * dh_webext: Use logging
  * Port amo-changelog and xpi-repack to Python 3 (see Debian bug #937085)
  * Bump Standards-Version to 4.4.1 (no changes required)
  * Switch to debhelper 12
  * Remove Andrea Veri from uploaders. Thanks for your work. (Closes: #827972)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 03 Nov 2019 22:43:29 +0100

=== tests/dh_xul-ext/all/debian/changelog ===
test-package (1.0-1) UNRELEASED; urgency=low

  * Initial release.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 09 Jul 2011 12:55:23 +0200

=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-librdf,
               python3
Standards-Version: 4.4.1
VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts
VCS-Git: https://salsa.debian.org/webext-team/webext-devscripts.git

Package: mozilla-devscripts
Architecture: all
Depends: python-librdf,
         unzip,
         zip,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${python:Depends}
Description: Development scripts used by Mozilla's addons packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance meant for packaging Firefox's and
 Icedove's extensions. These tools will help maintainers to build
 link and install all XUL extensions properly following the policies
 outlined by the Debian Mozilla Extension Maintainers team.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

## mozilla-devscripts 0.54.2

=== Makefile ===
build: ;

test:
	tests/dh_xul-ext/test
	tests/test-moz-version

install:
	python2 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

clean:
	rm -rf build *.pyc

.PHONY: build clean install test

=== debian/changelog ===
mozilla-devscripts (0.54.2) unstable; urgency=medium

  [ Simon McVittie ]
  * Change shebang on Python 2 scripts to #!/usr/bin/python2
    (Closes: #968841)
  * Use non-deprecated syntax for python-librdf dependency
  * Document the python-librdf change in the previous version

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Aug 2020 13:42:52 +0100

mozilla-devscripts (0.54.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload to generate dependency on python2. Closes: #967175.
  * Build-depend on a version of python-librdf with #966787 fixed.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 21:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all (>= 2.6.6-3~),
-               python-librdf,
+               python-librdf (>= 1.0.17.1+dfsg-1.4),
                python3
 Standards-Version: 4.4.1
 VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts

## mozilla-devscripts 0.54.2%2Bnmu1

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,20 @@
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all (>= 2.6.6-3~),
-               python-librdf (>= 1.0.17.1+dfsg-1.4),
-               python3
+               python3,
+               python3-librdf,
 Standards-Version: 4.4.1
 VCS-Browser: https://salsa.debian.org/webext-team/webext-devscripts
 VCS-Git: https://salsa.debian.org/webext-team/webext-devscripts.git
 
 Package: mozilla-devscripts
 Architecture: all
-Depends: python-librdf,
+Depends: python3-librdf,
          unzip,
          zip,
          ${misc:Depends},
          ${perl:Depends},
          ${python3:Depends},
-         ${python:Depends}
 Description: Development scripts used by Mozilla's addons packages
  This package contains mozilla-devscripts, a collection of scripts
  based on Makefile inheritance meant for packaging Firefox's and

## mozilla-devscripts 0.54.2+nmu1

=== Makefile ===
build: ;

test:
	tests/dh_xul-ext/test
	tests/test-moz-version

install:
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

clean:
	rm -rf build *.pyc

.PHONY: build clean install test

=== debian/changelog ===
mozilla-devscripts (0.54.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Håvard F. Aasen ]
  * Finalize porting to Python 3. (Closes: #937085)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Aug 2022 18:37:49 +0200

=== tests/dh_xul-ext/all/debian/control ===
Source: test-package
Section: web
Priority: extra
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12), mozilla-devscripts (>= 0.22~)
Standards-Version: 4.4.1

Package: xul-ext-test-package
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: mozilla-devscripts test package
 This is a test package designed to test some scripts in mozilla-devscripts.
 It is part of the mozilla-devscripts test suite and may do very odd things. It
 should not be installed like a regular package. It may be an empty package.
